# Class UploadConeTable

java.lang.Object
uk.ac.starlink.table.AbstractStarTable
uk.ac.starlink.ttools.cone.UploadConeTable

All Implemented Interfaces:
  `Closeable, AutoCloseable, uk.ac.starlink.table.StarTable`

public class UploadConeTable extends uk.ac.starlink.table.AbstractStarTable
Table suitable for uploading based on a sequence of positional queries and an RowMapper. The resulting table contains just three columns: ID, RA, Dec.

This is a one-shot sequential table - only one row sequence may be taken out from it.

Since:
  4 Oct 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`UploadConeTable(ConeQueryRowSequence coneSeq, RowMapper<?> rowMapper, String idName, String raName, String decName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getColumnCount()`
`uk.ac.starlink.table.ColumnInfo`
`getColumnInfo(int icol)`
`long`
`getRowCount()`
`uk.ac.starlink.table.RowSequence`
`getRowSequence()`

### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

`checkedLongToInt, getCell, getColumnAuxDataInfos, getName, getParameters, getRow, getRowAccess, getRowSplittable, getURL, isRandom, setName, setParameters, setURL`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.StarTable

`getParameterByName, setParameter`

## Constructor Details

### UploadConeTable

public UploadConeTable(ConeQueryRowSequence coneSeq, RowMapper<?> rowMapper, String idName, String raName, String decName)
Constructor.

Parameters:
  `coneSeq` - sequence of positional queries
  `rowMapper` - maps index of query to an identifier object
  `idName` - column name for uploaded ID column
  `raName` - column name for uploaded RA column
  `decName` - column name for uploaded Dec column

## Method Details

### getColumnCount

public int getColumnCount()

Specified by:
  `getColumnCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnCount` in class `uk.ac.starlink.table.AbstractStarTable`

### getColumnInfo

public uk.ac.starlink.table.ColumnInfo getColumnInfo(int icol)

Specified by:
  `getColumnInfo` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnInfo` in class `uk.ac.starlink.table.AbstractStarTable`

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowCount` in class `uk.ac.starlink.table.AbstractStarTable`

### getRowSequence

public uk.ac.starlink.table.RowSequence getRowSequence() throws IOException

Specified by:
  `getRowSequence` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowSequence` in class `uk.ac.starlink.table.AbstractStarTable`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `close` in class `uk.ac.starlink.table.AbstractStarTable`
Throws:
  `IOException`